use std::sync::OnceLock;

static GLOBAL_DATA: OnceLock<String> = OnceLock::new();

fn get_global_data() -> &'static String {
    GLOBAL_DATA.get_or_init(|| {
        // Initialize the global data here
        "Hello, world!".to_string()
    })
}

fn main() {
    let data = get_global_data();
    println!("{}", data); // Output: Hello, world!
}
